<?php


namespace FiloBlu\ExtEbizmartsMailChimp\Model\Config\Source;

class MonkeyList extends \Ebizmarts\MailChimp\Model\Config\Source\MonkeyList
{
    private $options = null;

    /**
     * MonkeyList constructor.
     * @param \Ebizmarts\MailChimp\Helper\Data $helper
     * @param \Magento\Framework\App\RequestInterface $request
     */
    public function __construct(
        \Ebizmarts\MailChimp\Helper\Data $helper,
        \Magento\Framework\App\RequestInterface $request
    ) {
        $storeId = (int) $request->getParam("store", 0);
        if($request->getParam('website',0)) {
            $scope = 'websites';
            $storeId = $request->getParam('website',0);
        }
        elseif($request->getParam('store',0)) {
            $scope = 'stores';
            $storeId = $request->getParam('store',0);
        }
        else {
            $scope = 'default';
        }

        if ($helper->getApiKey($storeId)) {
            try {
                $this->options = $helper->getApi()->lists->getLists();
            } catch (\Exception $e) {
                $helper->log($e->getMessage());
            }
        }
    }
    public function toOptionArray()
    {
        if (isset($this->options["lists"]) && is_array($this->options["lists"])) {
            $rc = [];
            
                foreach($this->options["lists"] as $list) {
                    if (isset($list['id'])) {
                    $rc[] = ['value' => $list['id'], 'label' => $list['name']];
                }
            }
            
            
        } else {
            $rc[] = ['value' => 0, 'label' => __('---No Data---')];
        }
        return $rc;
    }
    public function toArray()
    {
        $rc = [];
        
         if (isset($this->options["lists"]) && is_array($this->options["lists"])) {
             foreach($this->options["lists"] as $list) {
                if (isset($list['id'])) {
                    $rc[$list['id']] = $list['name'];
                }
             }
         }
         
        return $rc;
    }
}
